## dzl-menu-manager dzl-menu-manager |

## Functions

DzlMenuManager * | dzl_menu_manager_new ()
guint | dzl_menu_manager_add_filename ()
guint | dzl_menu_manager_add_resource ()
guint | dzl_menu_manager_merge ()
void | dzl_menu_manager_remove ()
GMenu * | dzl_menu_manager_get_menu_by_id ()

## Types and Values

#define | DZL_TYPE_MENU_MANAGER
| DzlMenuManager

## Object Hierarchy

        GObject
        ╰── DzlMenuManager

## Description

## Functions

### dzl_menu_manager_new ()

    DzlMenuManager *
    dzl_menu_manager_new (void);

### dzl_menu_manager_add_filename ()

    guint
    dzl_menu_manager_add_filename (DzlMenuManager *self,
                                   const gchar *filename,
                                   GError **error);

### dzl_menu_manager_add_resource ()

    guint
    dzl_menu_manager_add_resource (DzlMenuManager *self,
                                   const gchar *resource,
                                   GError **error);

### dzl_menu_manager_merge ()

    guint
    dzl_menu_manager_merge (DzlMenuManager *self,
                            const gchar *menu_id,
                            GMenuModel *model);

### dzl_menu_manager_remove ()

    void
    dzl_menu_manager_remove (DzlMenuManager *self,
                             guint merge_id);

This removes items from menus that were added as part of a previous menu merge. Use the value returned from `dzl_menu_manager_merge()` as the `merge_id` .

#### Parameters

self | a DzlMenuManager |
merge_id | A previously registered merge id |

Since: 3.26

### dzl_menu_manager_get_menu_by_id ()

    GMenu *
    dzl_menu_manager_get_menu_by_id (DzlMenuManager *self,
                                     const gchar *menu_id);

#### Returns

A GMenu.

[transfer none]

## Types and Values

### DZL_TYPE_MENU_MANAGER

    #define DZL_TYPE_MENU_MANAGER (dzl_menu_manager_get_type())

### DzlMenuManager

    typedef struct _DzlMenuManager DzlMenuManager;